﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CG2.Mathematics;
using CG2.Rendering;

namespace CG2.Lighting
{
	public class Light
	{
		#region Properties

		public Double Intensity = 1;

		public Vector4 DiffuseColor = new Vector4(1.0, 1.0, 1.0);
		public Vector4 SpecularColor = new Vector4(1.0, 1.0, 1.0);
		public Vector4 AmbientColor = new Vector4(1.0, 1.0, 1.0);

		#endregion


		#region Lighting

		public virtual Double GetIntensityAt(Vector4 point)
		{
			return 0;
		}

		public virtual void SetLightRayAt(Vector4 point, Ray ray)
		{
		}

		#endregion
	}
}
